/*---------------- Header Mobile ---------------- */


@media only screen and (max-width: 1040px) {

  #superfish-research-main-nav-mobile-toggle,
  #block-research-theme-useraccountmenu {
    display: none;
  }

  .region-header {
    margin-top: -65px;
    margin-bottom: 15px;
  }

  .logo {
    margin-left: 10px;
  }

  #block-researchmainnav {
    display: none;
  }

  #block-researchmainnav {
    width: auto;
    margin-right: 0px;
  }

  #block-researchmainnavmobile {
    display: flex;
    transform: translateX(+100%);
    background-color: var(--accent-1);
    flex-direction: column;
    height: 100%;
    width: 100vw;
    text-align: right;
    padding: 2rem;
    z-index: 99999;
    position: fixed;
    top: 0;
    right: 0;
    -webkit-transition: -webkit-transform 0.5s ease-in-out;
    -moz-transition: transform 0.5s ease-in-out;
    -ms-transition: transform 0.5s ease-in-out;
    -o-transition: transform 0.5s ease-in-out;
    transition: transform 0.5s ease-in-out;
  }

  #block-researchmainnavmobile.active {
    transform: translateX(0);
  }

  #block-researchmainnavmobile a,
  #block-researchmainnavmobile li {
    color: var(--accent-2);
    font-size: 20px;
    font-weight: 200;
  }

  ul.sf-menu span.nolink {
    padding: 15px !important;
    font-size: 20px;
  }

  #block-researchmainnavmobile li .sf-depth-2  {
    font-size: 16px;
  }


  #superfish-research-main-nav-mobile-accordion{
    margin-top: 50px;
  }

  #superfish-research-main-nav-mobile-accordion ul {
    margin-right: auto;
  }


  #block-research-theme-burgermenu {
    display: block;
    float: right;
    padding: 28px 22px 22px 0;
  }

  #block-research-theme-burgermenu:focus {
    outline: none;
    box-shadow: none;
  }

  .burger-container {
    display: inline-block;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
  }

  .close-mobile-menu {
    position: absolute;
    top: 0;
    right: 0;
    padding: 30px 30px 0 0;
    -webkit-tap-highlight-color: transparent;
  }

  .closebar1 {
    width: 2rem;
    height: 5px;
    background-color: var(--accent-2);
    border-radius: 60px;
    margin: 6px 0;
    transition: 0.3s;
    -webkit-transform: rotate(-45deg);
  }

  .closebar2 {
    width: 2rem;
    height: 5px;
    background-color: var(--accent-2);
    border-radius: 60px;
    margin: 6px 0;
    transition: 0.3s;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg) translate(-8px, -8px);
  }

  .bar1,
  .bar2,
  .bar3 {
    width: 3rem;
    height: 5px;
    background-color: var(--core-color);
    border-radius: 60px;
    margin: 6px 0;
    transition: 0.3s;
  }
}

@media only screen and (max-width: 380px) {
  .logo {
    margin-top: 13px;
    width: 250px;
    padding-top: 25px;
  }
}

@media only screen and (max-width: 320px) {
  .logo {
    margin-top: 15px;
    width: 220px;
  }
}
